Topic: Migrate an existing Bootstrap project to MDB5

somboo free asked 2 years ago


Expected behavior I expect to be able to update my existing Twitter Bootstrap 3 project to refer to MDB5 CDNs, add or remove any files needed, and then go through my existing code to update the UI to use MDB5 components without the need to build a whole new project and start over.

Actual behavior Installation instructions that I've found assume a new project and provide instructions that abstract the details of what MDB5 needs in order to function by telling you to just use the CLI. I want to know what the CLI is doing and what files are needed so that I can replicate that behavior manually within my existing project without having to do a bunch of trial and error.

Resources (screenshots, code snippets etc.)


Grzegorz Bujański staff answered 2 years ago


Hi. Unfortunately, we do not have instructions for migrating from Bootstrap 3 to MDB5. In the meantime, a lot of changes have happened and it would be a jump two versions up. Besides, as we mentioned in the MDB4 to MDB5 migration guide: we recommend that you create your project from scratch in MDB5, instead of updating old MDB 4 projects to MDB 5.


somboo free commented 1 year ago

Thanks for confirming. I just wish I had known about this before I purchased the Pro version for my project. I guess I'll have to consider it a lesson learned.



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Free
  • Premium support: No
  • Technology: MDB Standard
  • MDB Version: 2.2.1
  • Device: All
  • Browser: All
  • OS: All
  • Provided sample code: No
  • Provided link: No